<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:fitsSystemWindows="true"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".UpdatePin">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingHorizontal="10sp"
        android:paddingTop="30sp"
        android:orientation="vertical">

        <ImageView
            android:layout_width="100sp"
            android:layout_height="100sp"
            android:src="@android:drawable/ic_lock_idle_lock"
            android:padding="10sp"
            android:layout_gravity="center"
            app:tint="@color/primary_green">

        </ImageView>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="40sp"
            android:text="Changer pin"
            android:layout_marginBottom="20sp"
            android:layout_gravity="center"
            android:textStyle="bold"
            android:textColor="@color/primary_green">
        </TextView>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginBottom="10sp">
            <TextView
                android:layout_marginBottom="7sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Ancien pin"
                android:textSize="16sp"
                tools:ignore="HardcodedText"/>
            <EditText
                android:id="@+id/old_pin"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:hint="2343234"
                android:drawablePadding="5dp"
                android:textSize="14sp"
                android:drawableStart="@drawable/hashtag"
                android:background="@drawable/edittext_outline_white"
                android:inputType="numberPassword" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginBottom="10sp">
            <TextView
                android:layout_marginBottom="7sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Nouveau pin"
                android:textSize="16sp"
                tools:ignore="HardcodedText"/>
            <EditText
                android:id="@+id/new_pin"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:hint="2343234"
                android:drawablePadding="5dp"
                android:textSize="14sp"
                android:drawableStart="@drawable/hashtag"
                android:background="@drawable/edittext_outline_white"
                android:inputType="numberPassword"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginBottom="10sp">
            <TextView
                android:layout_marginBottom="7sp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Confirmation pin"
                android:textSize="16sp"
                tools:ignore="HardcodedText"/>
            <EditText
                android:id="@+id/pin_confirmation"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:hint="2343234"
                android:drawablePadding="5dp"
                android:textSize="14sp"
                android:drawableStart="@drawable/hashtag"
                android:background="@drawable/edittext_outline_white"
                android:inputType="numberPassword" />
        </LinearLayout>
        <LinearLayout
            android:layout_marginTop="35sp"
            android:showDividers="middle"
            android:dividerPadding="10sp"
            android:gravity="center"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <Button
                android:id="@+id/cancel"
                android:layout_width="150sp"
                android:layout_marginEnd="5sp"
                android:layout_height="wrap_content"
                android:text="@string/cancel"
                android:background="@drawable/rounded_button_red">
            </Button>
            <Button
                android:id="@+id/validate"
                android:layout_width="150sp"
                android:layout_marginStart="5sp"
                android:layout_height="wrap_content"
                android:text="@string/validate"
                android:background="@drawable/rounded_button_green">
            </Button>
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>